请选择 进入手机版 | 继续访问电脑版
Mozilla

火狐社区

登录    注册

QQ互联

Nightly Tester Tools
Nightly Tester Tools 4.0
16人参与评分

nightly 测试者的实用工具集。

在用 用过 我要安装

[综合讨论] 火狐扩展狂人必备-Nightly Tester Tools

阿_天 千年狐妖 发表于 2010-8-2 11:29:01 | 显示全部楼层 [复制链接]
16 8606

火狐扩展狂人们估计遇到的最郁闷的事莫过于火狐版本更新,而扩展作者却很懒,没有更新对应新版本火狐扩展这种情况了,望着满篇飘红的扩展列表,欲哭无泪,怎一个悲剧了得。
有可能火狐只更新了一个小版本好比如3.6.5到3.6.6,根本不影响一些扩展的兼容性和稳定性,扩展作者却在只在扩展的的install.rdf文档(火狐的扩展安装包实质上就是个zip压缩文档,可以用7zip压缩软件解压,其中的install.rdf保存的就是安装相关的信息)规定只能在老版本中使用,更新了新版本,火狐强制禁用了他了。
想要强制使用?那么请手动改install.rdf文档把,再打包安装,要么等作者更新。
Nightly Tester Tools的到来改变了这一切。 Nightly Tester Tools的原理是什么呢?其实也是去修改install.rdf文档,然后再安装,不过为用户提供了一键式操作!
比如我们发现一个扩展在新版本中无法使用了,比如下面这个splash扩展(添加火狐启动画面,消磨火狐漫长的启动时间,这是基于all in one side bar扩展侧边栏效果截图):

在火狐3.6.6中禁用了,其实在3.6中都能好好的工作啊,那么使用Nightly Tester Tools强制启用他吧。注意使用Nightly Tester Tools的前提就是要能保证这个扩展在差异不大的老版本中能正常使用,如果是3.0更新到3.5等等大版本更新被禁用的扩展就不要去尝试强制启用了,很可能要发生悲剧。
点击右键菜单中的 Override compatibility就能强制启用这个扩展了。

呵呵,Splash又工作正常了。
注意: 1.Nightly Tester Tools是一个面向火狐扩展高级玩家的扩展,如果你只是刚接触火狐及其扩展系统的新玩家,请不要在不确定后果的前提下使用,小心把火狐整的一塌糊涂而没办法复原。 2.其次呢,Nightly Tester Tools最初是为扩展开发者设计的用于测试扩展与新版本火狐是否兼容的一个工具,对于普通用户来说只是应急一用。当作者更新了对应新版本的扩展,还是去用官方的新的扩展吧,毕竟新的才是最好的。老旧扩展对新版本的浏览器或多或少有支持问题。
粼澐幽 游客
发表于 2010-10-4 23:33:07 | 显示全部楼层
其實還有一個更簡便的方法,就是禁用瀏覽器的擴展兼容性檢查,添加一個參數就可以了,具體的搜索一下.
发表于 2010-11-25 18:32:31 | 显示全部楼层
4.0已经可以用了
发表于 2010-11-25 18:32:57 | 显示全部楼层
amo上有最新版
阿_天 千年狐妖
发表于 2010-11-25 23:35:41 | 显示全部楼层
这里的版本是和amo同步的 不过介绍的版本号是需要手动改 所以版本号一直没改·~
whisky020 游客
发表于 2010-11-27 20:10:29 | 显示全部楼层
"禁用瀏覽器的擴展兼容性檢查",或禁止火狐更新,也很好
发表于 2010-11-29 15:25:22 | 显示全部楼层
太棒了 哈哈
冰橘子 游客
发表于 2011-2-13 16:37:36 | 显示全部楼层
禁用兼容性检查不久行了吗?
changle99 游客
发表于 2011-5-9 00:48:43 | 显示全部楼层
好像与魔镜有冲突
唐朝来的 游客
发表于 2011-6-29 22:26:03 | 显示全部楼层
这个东西究竟怎么用啊 我在ff4装了 好像没有效果啊
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回顶部 返回列表